@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300..700&display=swap');

*{
  margin: 0;
  font-weight: 500;
}

html,body{
  font-family: "Quicksand", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  height: 100%;
  background-color: #FCF7F8 !important;
}

img{
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    pointer-events: none;
    -webkit-user-drag: none;
}

.maincolor{
  color: #FCF7F8 /*snow*/
}

.seccolor{
  color: #A31621; /*madder*/
}



/*---------------------------
            font
-----------------------------*/


/* <weight>: Use a value from 300 to 700
 <uniquifier>: Use a unique and descriptive class name

.quicksand {
  font-family: "Quicksand", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}*/

/*---------------------------
            LOADER
-----------------------------*/
.loader-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Spinner animation */
.spinner {
    width: 40px;
    height: 40px;
    border: 5px solid #FCF7F8;
    border-top: 5px solid #A31621;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* Hide loader by default when content is loaded */
.hidden {
    display: none;
        }

/*---------------------------
            navbar
-----------------------------*/
nav{
  background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    height: 90px;
    padding: 10px 100px;
    box-sizing: border-box;
    transition: .5s;
    z-index: 999;
}
nav .logo{
    float: left;
    position: relative;
    background-color: white;
    border-radius: 5px;
}

nav .logo img{
    height: 70px;
}
nav > ul{
    text-align: center;
    width: 80%;
    margin: 0 auto;
    padding: 0;
    float: right;
}
nav > ul > li{
    list-style: none;
    display: inline-block;
    transition: all 0.5s;
}
nav > ul > li:hover:not(.lang-dropdown,.phone) {
    color: #fff;
    transform: scale(1.2);
    transition: all 0.5s;
}
nav > ul > li > a{
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    line-height: 80px;
    padding: 5px 20px;
    transition: .5s;   
}
.nav-item:hover{
  border-bottom: 2px solid white;
  transition: 0s;
}


nav > ul > li > a.active{
  border-bottom: 2px solid white;
  transition: 0s;
}

nav > ul > li > i{
  font-size: 60pt;
}

nav .phone{
  background-color: #A31621;
  border-radius: 20px;
  height: 75px;
}


nav .phone:hover{
  transform: none;
  background-color: #FCF7F8;
  color: #A31621;
  a{color:#A31621;border: none;}
}

/* Language dropdown */
.lang-dropdown {
  position: relative;
}


.lang-dropdown .dropdown {
  display: none;
  position: absolute;
  background-color: #555;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  /*background: rgba(255, 227, 227, 0.24);
  backdrop-filter: blur(3.7px);
  -webkit-backdrop-filter: blur(3.7px);*/

  top: 80px; /* same as navbar height */
  right: 0;
  min-width: 150px;
  border-radius: 6px;
  padding: 8px 0;
  text-align: left;
  z-index: 1000;
}

.lang-dropdown .dropdown li {
  list-style: none;
}

.lang-dropdown .dropdown a {
  display: block;
  padding: 10px 16px;
  color: white;
  text-decoration: none;
  text-transform: none;
  line-height: 1.5;
}

.lang-dropdown .dropdown a:hover {
  background: #A31621;
  color: #fff;
  border: none;
}

.lang-dropdown .dropdown .selectedLang{
  background-color: #FCF7F8;
  color: black;
}

/* Show dropdown when active */
.lang-dropdown.active .dropdown {
  display: block;
}

/*hamburger*/
    .hamburger {
      display: none;
      cursor: pointer;
      margin-top: 0;
    }

    .hamburger .line {
      width: 40px;
      height: 4px;
      background: white;
      margin: 5px 0;
      transition: all 0.3s ease;
      border-radius: 20px;
    }

    .hamburger.active .line:nth-child(1) {
      transform: rotate(45deg) translate(6px, 5px);
    }

    .hamburger.active .line:nth-child(2) {
      opacity: 0;
    }

    .hamburger.active .line:nth-child(3) {
      transform: rotate(-45deg) translate(7px, -6px);
    }



/*--------------------
         HERO
----------------------*/
.hero {
  background: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)), url('../images/hero.webp') center/cover no-repeat;
  background-attachment: fixed;
  height: 100vh;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 100px;
}

.hero h1{
  font-weight: 700;
  font-size: 60pt;
  text-shadow: 1px 1px 2px #000;
}

.hero p{
  font-weight: 400;
}

.hero button{
  margin: 18px 30px;
  width: 250px;
  height: 80px;
  padding: 15px 10px;
  border-radius: 15px;
  border: none;
  font-size: 18pt; 
}
.herobtns a{
  text-decoration: none !important;
}

.hero button:hover{
  transition: 0.5s;
}

#herobtn-1{
  background-color: #FCF7F8;
  color: #A31621;
  border: 2px solid #FCF7F8;
  transition: 0.4s;
}
#herobtn-1:hover{
  background-color: #A31621;
  color: #FCF7F8;

}

#herobtn-2{
  background-color: #A31621;
  color: #FCF7F8;
  border: 2px solid #A31621;
  transition: 0.4s;
}
#herobtn-2:hover{
  background-color: #FCF7F8;
  color: #A31621;
}


/*--------------------
         about
----------------------*/
.about{
  margin-top: 5px;

}
.about2{
  text-align: center;
}
.about h1{
  font-weight: 700;
  margin: 10px 0 30px;
  font-size: 35pt;
}

.about p{
  margin: 0;
  font-weight: 400;
}

.about button{
  margin-top: 30px;
  padding: 15px 10px;
  border-radius: 15px;
  font-size: 18pt;
  border: 2px solid #A31621;
  background-color: #A31621;
  color: #FCF7F8;
  transition: 0.4s;
}

.about button:hover{
  background-color: #FCF7F8;
  color: #A31621;
  transition: 0.2s;
}

.about img{
  width: 500px;
  height: auto;
  border-radius: 15px;
}


/*--------------------
        services
----------------------*/
.services {
  padding-top: 40px;
}
.services h1 {
  font-size: 2.5rem;
  font-weight: bold;
  color: #333;
}
.services .row {
margin-top: 50px;
margin-bottom: 70px; 
}

.card {
  height: 100%;
  width: 100%;
  text-align: center;
  padding: 25px;
  border: none;
  border-radius: 10px;
  transition: transform 0.3s, box-shadow 0.4s, color 0.4s;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  min-height: 500px; /* Fix minimális magasság a kártyáknak */
}
.card:hover {
  color: #A31621;
  box-shadow: 0px 0px 26px 7px rgba(0,0,0,0.2);
  transform: translateY(-10px);
  cursor: pointer;
}
.card i {
  font-size: 35pt;
  margin-bottom: 15px;
  color: #A31621;
}
.card-img-top {
  width: 100%;
  height: 350px;
  object-fit: contain;
  border-radius: 20px 20px 0 0;
  width: 100%;
}
.card-title {
  font-size: 1.5rem;
  font-weight: 600;
}
.card-text {
  font-size: 1rem;
  color: #555;
  flex-grow: 1; 
  overflow: visible;
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  /* Maximum 4 sor szöveg */ 
  line-clamp: 4;
  -webkit-line-clamp: 4;  
  -webkit-box-orient: vertical;
}
.card-body {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  padding: 20px;
}
.services a {
  text-decoration: none;
  color: inherit;
  display: block;
  height: 100%;
}
.services a:hover {
  color: #A31621;
}
/*--------------------
        ratings
----------------------*/
.ratings{
  margin-top: 100px;
}

.ratings h1{
  margin-bottom: 30px;
  font-size: 2.5rem;
  font-weight: bold;
  color: #333;
}

.tile{
  text-align: center;
  height: 300px;
  background-color: white;
  padding: 30px;
  position: relative;
  transition: .4s;
}
.tile p{
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  transform: translateY(-50%);
  text-align: center;
}
.tile:hover{
  box-shadow: 0px 0px 20px 4px rgba(0,0,0,0.36);
  -webkit-box-shadow: 0px 0px 20px 4px rgba(0,0,0,0.36);
  -moz-box-shadow: 0px 0px 20px 4px rgba(0,0,0,0.36);
  transform: scale(1.15);
  transition: .4s;
  z-index: 99999;
  i{color:#f5c842;}
}


/*--------------------
        footer
----------------------*/

footer {
  margin-top: 230px;
  background-color: #000;
  color: #FCF7F8;
  padding: 20px;
  text-align: center;
  font-family: Arial, sans-serif;
  position: relative;
  z-index: 0;
}

.contact-section {
  background-color: #A31621;
  padding: 12px 60px;
  margin: -50px auto 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  position: relative;
  z-index: 1;
  width: 60vw;
}

.contact-section h3 {
  margin: 0;
  font-size: 1.2em;
}

.contact-section p {
  margin: 5px 0;
  font-size: 0.9em;
}

.contact-btn {
  background-color: #000;
  color: #fff;
  padding: 8px 15px;
  text-decoration: none;
  border-radius: 5px;
  display: block;
  margin-top: 5px;
  transition: .3s;
}

.contact-btn:hover{
  background-color: #FCF7F8;
  color: #000;
  transition: .4s;
}

.footer-content {
  padding-top: 0;
  display: flex;
  justify-content: center;
  gap: 50px;
  flex-wrap: wrap;
  margin-top: -20px;
}

.footer-content a:visited{
  color: inherit;
}

.footer-menu{
    text-align: center;
    margin: 0 auto;
    padding: 0;
}
.footer-menu > li{
    list-style: none;
    margin: 5px 0;
    transition: all 0.5s;
}
.footer-menu > li:hover{
    color: #fff;
    transform: scale(1.2);
    transition: all 0.5s;
}
.footer-menu > li > a{
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    transition: .5s;   
}

.social-icons {
  justify-content: center;
  font-size: 1.6rem;
  color: white;
}

.social-icons i{
  transition: .2s;
  color: white;
}

.social-icons i:hover{
  transform: scale(1.2);
  transition: .3s;
  color: #1877F2;
}